let utils = {

}
var host = 'https://l.zhongzhiwang.top/';
// var host = 'http://brand.cc';


utils.request = function(options) {
	return new Promise((resolve, reject) => {
		uni.request({
			method: options.method ? options.method : 'get',
			url: host + options.url,
			header: {
				token: uni.getStorageSync('token'),
				platform: uni.getSystemInfoSync().platform
			},
			data: options.data,
			success: (res) => {
				console.log(res)
				// if (res.data.code != 200) {
				// 	if (res.data.code == 401) {
				// 		uni.navigateTo({
				// 			url: '/pages/login/index'
				// 		});
				// 		return false
				// 	}
					
				// 	// 绑定手机号
				// 	if (res.data.code == 60102) {
				// 		uni.navigateTo({
				// 			url: '/pages/reg/index'
				// 		});
				// 		return false
				// 	}
					
				// 	uni.showToast({
				// 		title: res.data.msg,
				// 		icon: 'none'
				// 	})
				// 	return false
				// }
				resolve(res.data);
			},
			fail: (err) => {
				reject(err)
			}
		})
	})
}

utils.upload = function(path, type = 'image') {
	return new Promise((resolve, reject) => {
		uni.uploadFile({
			url: host + '/v1/upload/file',
			filePath: path,
			name: 'file',
			formData: {
				path: type
			},
			success: (res) => {
				console.log(res)
				var res = JSON.parse(res.data)
				if (res.code != 200) {
					uni.showToast({
						title: res.msg,
						icon: 'none'
					})
					return false
				}
				resolve(res);
			},
			fail: (err) => {
				reject(err)
			}
		})
	})
}

utils.isLogin = function() {
	var token = uni.getStorageSync('token')
	if (!token) {
		uni.navigateTo({
			url: '/pages/login/index'
		});
	}
}
export default utils
